Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoTimedStateSaver Class Reference

an eoUpdater that saves a state every given time interval More...

`#include <eoUpdater.h>`

Inheritance diagram for eoTimedStateSaver:

List of all members.

## Public Member Functions
| eoTimedStateSaver (time_t _interval, const eoState &_state, std::string _prefix="state", std::string _extension="sav")
void | operator() (void)
| The pure virtual function that needs to be implemented by the subclass.
virtual std::string | className (void) const
## Private Attributes
const eoState & | state
const time_t | interval
time_t | last_time
const time_t | first_time
const std::string | prefix
const std::string | extension

## Detailed Description

an eoUpdater that saves a state every given time interval

Definition at line 104 of file eoUpdater.h.

The documentation for this class was generated from the following files:

- eoUpdater.h
- eoUpdater.cpp